/* <![CDATA[ */

window.addEvent('load', function() {

	// For testing, showing the user the current Flash version.
	//document.getElement('h3 + p').appendText(' Detected Flash ' + Browser.Plugins.Flash.version + '!');

	var swiffy = new FancyUpload2($('frm-status'), $('frm-list'), {
		url: $('frm').action,
		fieldName: 'var',
		path: 'swf/Swiff.Uploader.swf',
		limitSize: 2 * 1024 * 1024, // 2MB
		onLoad: function() {
			$('frm-status').removeClass('hide');
			$('frm-fallback').destroy();
		},
		// The changed parts!
		debug: false, // enable logs, uses console.log
		target: 'frm-browse' // the element for the overlay (Flash 10 only)
	});

	/**
	 * Various interactions
	 */

	$('frm-browse').addEvent('click', function() {
		/**
		 * Doesn't work anymore with Flash 10: swiffy.browse();
		 * FancyUpload moves the Flash movie as overlay over the link.
		 * (see opeion "target" above)
		 */
		swiffy.browse();
		return false;
	});

	/**
	 * The *NEW* way to set the typeFilter, since Flash 10 does not call
	 * swiffy.browse(), we need to change the type manually before the browse-click.
	 */
	$('frm-select-images').addEvent('change', function() {
		var filter = null;
		if (this.checked) {
			filter = {'Imagenes (*.jpg, *.jpeg, *.gif, *.png)': '*.jpg; *.jpeg; *.gif; *.png'};
		}
		swiffy.options.typeFilter = filter;
	});

	$('frm-clear').addEvent('click', function() {
		swiffy.removeFile();
		return false;
	});

	$('frm-upload').addEvent('click', function() {
		swiffy.upload();
		return false;
	});

});